# Universal Encoding Detector

Character encoding auto-detection in Python. As smart as your browser. Open source.

- Download ·
- Documentation ·
- FAQ

You are here: Documentation

- Frequently asked questions
  - What is character encoding?
  - What is character encoding auto-detection?
  - Isn't that impossible?
  - Who wrote this detection algorithm?
  - Yippie! Screw the standards, I'll just auto-detect everything!
  - Why bother with auto-detection if it's slow, inaccurate, and non-standard?
- Supported encodings
- Usage
  - Basic usage
  - Advanced usage
- How it works
  - UTF-n with a BOM
  - Escaped encodings
  - Multi-byte encodings
  - Single-byte encodings
  - windows-1252
- Revision history
- Terms of use

Frequently asked questions →

Copyright © 2006, 2007, 2008 Mark Pilgrim · mark@diveintomark.org · Terms of use